## ros-one-robot-state-publisher 1.15.2-4jammy.20251023.0935

=== debian/changelog ===
ros-one-robot-state-publisher (1.15.2-4jammy.20251023.0935) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 23 Oct 2025 09:35:14 +0000

ros-one-robot-state-publisher (1.15.2-0jammy) jammy; urgency=high

  * Reimplement tf_prefix in Noetic exactly as it was in Melodic (#169 <https://github.com/ros/robot_state_publisher/issues/169>)
  * Include joint_states_index.bag in repo (#176 <https://github.com/ros/robot_state_publisher/issues/176>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 30 Sep 2021 00:00:00 -0000

ros-one-robot-state-publisher (1.15.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-one-robot-state-publisher (1.15.0-0jammy) jammy; urgency=high

  * Remove state_publisher and add in a public default constructor (#87 <https://github.com/ros/robot_state_publisher/issues/87>)
  * Added support for custom RobotStatePublisher implementations (API/ABI break) (#115 <https://github.com/ros/robot_state_publisher/issues/115>)
  * Bump CMake version to avoid CMP0048 (#136 <https://github.com/ros/robot_state_publisher/issues/136>)
  * Add missing test depend rosbag (#135 <https://github.com/ros/robot_state_publisher/issues/135>)
  * Used orocos keys (#134 <https://github.com/ros/robot_state_publisher/issues/134>)
  * Add joint_state_listener to the catkin package LIBRARIES (#112 <https://github.com/ros/robot_state_publisher/issues/112>) (#114 <https://github.com/ros/robot_state_publisher/issues/114>)
  * Make sure to make sensor_msgs a catkin dependency. (#122 <https://github.com/ros/robot_state_publisher/issues/122>)
  * update how compiler flags are added (#104 <https://github.com/ros/robot_state_publisher/issues/104>)
  * update install destination in CMakeLists.txt (#103 <https://github.com/ros/robot_state_publisher/issues/103>)
  * Remove treefksolver completely from the repository. (#100 <https://github.com/ros/robot_state_publisher/issues/100>)
  * changed return code from -1 to 1 since its considered a reserved bash exit code (#98 <https://github.com/ros/robot_state_publisher/issues/98>)
  * Fixed problem when building static library version (#92 <https://github.com/ros/robot_state_publisher/issues/92>) (#96 <https://github.com/ros/robot_state_publisher/issues/96>)
  * Add Ian as a maintainer for robot_state_publisher. (#94 <https://github.com/ros/robot_state_publisher/issues/94>)
  * added warning when joint is found in joint message but not in the urdf (#83 <https://github.com/ros/robot_state_publisher/issues/83>)
  * added ros_warn if JointStateMessage is older than 30 seconds (#84 <https://github.com/ros/robot_state_publisher/issues/84>)
  * Add tcp_no_delay to joint_states subscriber (#80 <https://github.com/ros/robot_state_publisher/issues/80>) (#85 <https://github.com/ros/robot_state_publisher/issues/85>)
  * Remove dependency on tf and tf_prefix support (#82 <https://github.com/ros/robot_state_publisher/issues/82>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>) (#75 <https://github.com/ros/robot_state_publisher/issues/75>)
  * Added c++11 target_compile_options (#78 <https://github.com/ros/robot_state_publisher/issues/78>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, James Xu, Lukas Bulwahn, Martin Pecka, Shane Loretz, betab0t, jgueldenstein

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 17 Apr 2020 00:00:00 -0000

ros-one-robot-state-publisher (1.13.5-0jammy) jammy; urgency=high

  * Style cleanup throughout the tree.
  * add Chris and Shane as maintainers (#70 <https://github.com/ros/robot_state_publisher/issues/70>)
  * Contributors: Chris Lalancette, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 11 Apr 2017 00:00:00 -0000

ros-one-robot-state-publisher (1.13.4-0jammy) jammy; urgency=high

  * Use ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#60 <https://github.com/ros/robot_state_publisher/issues/60>)
  * Error log for empty JointState.position was downgraded to a throttled warning (#64 <https://github.com/ros/robot_state_publisher/issues/64>)
  * Contributors: Jochen Sprickerhof, Sébastien BARTHÉLÉMY

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Jan 2017 00:00:00 -0000

ros-one-robot-state-publisher (1.13.3-0jammy) jammy; urgency=high

  * Added a new parameter "ignore_timestamp" (#65 <https://github.com/ros/robot_state_publisher/issues/65>)
  * Fixed joints are not published over tf_static by default (#56 <https://github.com/ros/robot_state_publisher/issues/56>)
  * Fixed segfault on undefined robot_description (#61 <https://github.com/ros/robot_state_publisher/issues/61>)
  * Fixed cmake eigen3 warning (#62 <https://github.com/ros/robot_state_publisher/issues/62>)
  * Contributors: Davide Faconti, Ioan A Sucan, Johannes Meyer, Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Oct 2016 00:00:00 -0000

ros-one-robot-state-publisher (1.13.2-0jammy) jammy; urgency=high

  * Add target_link_libraries for joint_state_listener library + install it (#54 <https://github.com/ros/robot_state_publisher//issues/54>)
  * Contributors: Kartik Mohta

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-robot-state-publisher (1.13.1-0jammy) jammy; urgency=high

  * Add back future dating for robot_state_publisher (#49 <https://github.com/ros/robot_state_publisher/issues/49>) (#51 <https://github.com/ros/robot_state_publisher/issues/51>)
  * Fix subclassing test (#48 <https://github.com/ros/robot_state_publisher/issues/48>)
  * Support for subclassing (#45 <https://github.com/ros/robot_state_publisher/issues/45>)
    * Add joint_state_listener as a library
  * Contributors: Jackie Kay



## ros-one-robot-state-publisher 1.15.2-4jammy.20260221.2111

=== debian/changelog ===
ros-one-robot-state-publisher (1.15.2-4jammy.20260221.2111) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 21 Feb 2026 21:11:47 +0000

## ros-one-robot-state-publisher 1.15.2-4noble.20251023.0947

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_state_publisher)

include(CheckCXXCompilerFlag)

if(MSVC)
  # MSVC does not support the Wextra flag
  add_compile_options(/Wall)
else()
  add_compile_options(-Wall -Wextra)
endif()

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED
  COMPONENTS kdl_parser roscpp rosconsole rostime sensor_msgs tf2_ros tf2_kdl
)
find_package(Eigen3 REQUIRED)

find_package(urdfdom_headers REQUIRED)

catkin_package(
  LIBRARIES ${PROJECT_NAME}_solver joint_state_listener
  INCLUDE_DIRS include
  DEPENDS kdl_parser orocos_kdl roscpp rosconsole rostime sensor_msgs tf2_ros tf2_kdl urdfdom_headers
)

include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS} ${urdfdom_headers_INCLUDE_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}_solver
  src/robot_state_publisher.cpp
)
target_compile_features(${PROJECT_NAME}_solver PUBLIC cxx_std_14)
target_link_libraries(${PROJECT_NAME}_solver ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

add_library(joint_state_listener src/joint_state_listener.cpp)
target_link_libraries(joint_state_listener ${PROJECT_NAME}_solver ${orocos_kdl_LIBRARIES})

add_executable(${PROJECT_NAME} src/robot_state_publisher_node.cpp)
target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_solver joint_state_listener ${orocos_kdl_LIBRARIES})

# Tests

if (CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)

  add_rostest_gtest(test_default_constructor test/test_default_constructor.launch test/test_default_constructor.cpp)
  target_link_libraries(test_default_constructor joint_state_listener ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_one_link ${CMAKE_CURRENT_SOURCE_DIR}/test/test_one_link.launch test/test_one_link.cpp)
  target_link_libraries(test_one_link ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_two_links_fixed_joint ${CMAKE_CURRENT_SOURCE_DIR}/test/test_two_links_fixed_joint.launch test/test_two_links_fixed_joint.cpp)
  target_link_libraries(test_two_links_fixed_joint ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_two_links_moving_joint ${CMAKE_CURRENT_SOURCE_DIR}/test/test_two_links_moving_joint.launch test/test_two_links_moving_joint.cpp)
  target_link_libraries(test_two_links_moving_joint ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_frames_and_slashes ${CMAKE_CURRENT_SOURCE_DIR}/test/test_frames_and_slashes.launch test/test_frames_and_slashes.cpp)
  target_link_libraries(test_frames_and_slashes ${catkin_LIBRARIES})

  add_rostest_gtest(test_joint_states_bag ${CMAKE_CURRENT_SOURCE_DIR}/test/test_joint_states_bag.launch test/test_joint_states_bag.cpp)
  target_link_libraries(test_joint_states_bag ${catkin_LIBRARIES} ${PROJECT_NAME}_solver)

  add_rostest_gtest(test_subclass ${CMAKE_CURRENT_SOURCE_DIR}/test/test_subclass.launch test/test_subclass.cpp)
  target_link_libraries(test_subclass ${catkin_LIBRARIES} ${PROJECT_NAME}_solver joint_state_listener)

  install(FILES test/one_link.urdf test/pr2.urdf test/two_links_fixed_joint.urdf test/two_links_moving_joint.urdf test/frames_and_slashes.urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

endif()

# Install library
install(TARGETS ${PROJECT_NAME}_solver joint_state_listener
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

# Install executable
install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-one-robot-state-publisher (1.15.2-4noble.20251023.0947) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 23 Oct 2025 09:47:51 +0000

ros-one-robot-state-publisher (1.15.2-0noble) noble; urgency=high

  * Reimplement tf_prefix in Noetic exactly as it was in Melodic (#169 <https://github.com/ros/robot_state_publisher/issues/169>)
  * Include joint_states_index.bag in repo (#176 <https://github.com/ros/robot_state_publisher/issues/176>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 30 Sep 2021 00:00:00 -0000

ros-one-robot-state-publisher (1.15.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-one-robot-state-publisher (1.15.0-0noble) noble; urgency=high

  * Remove state_publisher and add in a public default constructor (#87 <https://github.com/ros/robot_state_publisher/issues/87>)
  * Added support for custom RobotStatePublisher implementations (API/ABI break) (#115 <https://github.com/ros/robot_state_publisher/issues/115>)
  * Bump CMake version to avoid CMP0048 (#136 <https://github.com/ros/robot_state_publisher/issues/136>)
  * Add missing test depend rosbag (#135 <https://github.com/ros/robot_state_publisher/issues/135>)
  * Used orocos keys (#134 <https://github.com/ros/robot_state_publisher/issues/134>)
  * Add joint_state_listener to the catkin package LIBRARIES (#112 <https://github.com/ros/robot_state_publisher/issues/112>) (#114 <https://github.com/ros/robot_state_publisher/issues/114>)
  * Make sure to make sensor_msgs a catkin dependency. (#122 <https://github.com/ros/robot_state_publisher/issues/122>)
  * update how compiler flags are added (#104 <https://github.com/ros/robot_state_publisher/issues/104>)
  * update install destination in CMakeLists.txt (#103 <https://github.com/ros/robot_state_publisher/issues/103>)
  * Remove treefksolver completely from the repository. (#100 <https://github.com/ros/robot_state_publisher/issues/100>)
  * changed return code from -1 to 1 since its considered a reserved bash exit code (#98 <https://github.com/ros/robot_state_publisher/issues/98>)
  * Fixed problem when building static library version (#92 <https://github.com/ros/robot_state_publisher/issues/92>) (#96 <https://github.com/ros/robot_state_publisher/issues/96>)
  * Add Ian as a maintainer for robot_state_publisher. (#94 <https://github.com/ros/robot_state_publisher/issues/94>)
  * added warning when joint is found in joint message but not in the urdf (#83 <https://github.com/ros/robot_state_publisher/issues/83>)
  * added ros_warn if JointStateMessage is older than 30 seconds (#84 <https://github.com/ros/robot_state_publisher/issues/84>)
  * Add tcp_no_delay to joint_states subscriber (#80 <https://github.com/ros/robot_state_publisher/issues/80>) (#85 <https://github.com/ros/robot_state_publisher/issues/85>)
  * Remove dependency on tf and tf_prefix support (#82 <https://github.com/ros/robot_state_publisher/issues/82>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>) (#75 <https://github.com/ros/robot_state_publisher/issues/75>)
  * Added c++11 target_compile_options (#78 <https://github.com/ros/robot_state_publisher/issues/78>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, James Xu, Lukas Bulwahn, Martin Pecka, Shane Loretz, betab0t, jgueldenstein

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 17 Apr 2020 00:00:00 -0000

ros-one-robot-state-publisher (1.13.5-0noble) noble; urgency=high

  * Style cleanup throughout the tree.
  * add Chris and Shane as maintainers (#70 <https://github.com/ros/robot_state_publisher/issues/70>)
  * Contributors: Chris Lalancette, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 11 Apr 2017 00:00:00 -0000

ros-one-robot-state-publisher (1.13.4-0noble) noble; urgency=high

  * Use ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#60 <https://github.com/ros/robot_state_publisher/issues/60>)
  * Error log for empty JointState.position was downgraded to a throttled warning (#64 <https://github.com/ros/robot_state_publisher/issues/64>)
  * Contributors: Jochen Sprickerhof, Sébastien BARTHÉLÉMY

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 05 Jan 2017 00:00:00 -0000

ros-one-robot-state-publisher (1.13.3-0noble) noble; urgency=high

  * Added a new parameter "ignore_timestamp" (#65 <https://github.com/ros/robot_state_publisher/issues/65>)
  * Fixed joints are not published over tf_static by default (#56 <https://github.com/ros/robot_state_publisher/issues/56>)
  * Fixed segfault on undefined robot_description (#61 <https://github.com/ros/robot_state_publisher/issues/61>)
  * Fixed cmake eigen3 warning (#62 <https://github.com/ros/robot_state_publisher/issues/62>)
  * Contributors: Davide Faconti, Ioan A Sucan, Johannes Meyer, Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 20 Oct 2016 00:00:00 -0000

ros-one-robot-state-publisher (1.13.2-0noble) noble; urgency=high

  * Add target_link_libraries for joint_state_listener library + install it (#54 <https://github.com/ros/robot_state_publisher//issues/54>)
  * Contributors: Kartik Mohta

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 00:00:00 -0000

ros-one-robot-state-publisher (1.13.1-0noble) noble; urgency=high

  * Add back future dating for robot_state_publisher (#49 <https://github.com/ros/robot_state_publisher/issues/49>) (#51 <https://github.com/ros/robot_state_publisher/issues/51>)
  * Fix subclassing test (#48 <https://github.com/ros/robot_state_publisher/issues/48>)
  * Support for subclassing (#45 <https://github.com/ros/robot_state_publisher/issues/45>)
    * Add joint_state_listener as a library
  * Contributors: Jackie Kay



=== debian/control ===
Source: ros-one-robot-state-publisher
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liborocos-kdl-dev, liburdfdom-headers-dev, ros-one-catkin, ros-one-kdl-parser, ros-one-rosconsole, ros-one-roscpp, ros-one-rostime, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2-kdl, ros-one-tf2-ros
Homepage: http://wiki.ros.org/robot_state_publisher
Standards-Version: 3.9.2

Package: ros-one-robot-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liborocos-kdl-dev, liborocos-kdl1.5, ros-one-kdl-parser, ros-one-rosconsole, ros-one-roscpp, ros-one-rostime, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2-kdl, ros-one-tf2-ros
Description: This package allows you to publish the state of a robot to tf2.
 Once the state gets published, it is available to all components in the system that also use tf2. The package takes the joint angles of the robot as input and publishes the 3D poses of the robot links, using a kinematic tree model of the robot. The package can both be used as a library and as a ROS node. This package has been well tested and the code is stable. No major changes are planned in the near future.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-robot-state-publisher//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-robot-state-publisher 1.15.2-4noble.20260221.2156

=== debian/changelog ===
ros-one-robot-state-publisher (1.15.2-4noble.20260221.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 21 Feb 2026 21:56:14 +0000
